AbstractSystemMatrix.h File Reference
`#include "system_dep.h"`
`#include "FunctionSpace.h"`
`#include "Pointers.h"`
`#include "SystemMatrixException.h"`
`#include <boost/python/object.hpp>`

Go to the source code of this file.

## Classes

class | escript::AbstractSystemMatrix
| Base class for escript system matrices. More...

## Namespaces

| escript

## Typedefs

typedef boost::shared_ptr< AbstractSystemMatrix > | escript::ASM_ptr
typedef boost::shared_ptr< const AbstractSystemMatrix > | escript::const_ASM_ptr

## Functions

Data | escript::operator* (const AbstractSystemMatrix &left, const Data &right)